PDA

View Full Version : Picoreplayer and mansr SOX



Funkwarrior
2018-09-04, 23:24
Hello,
Can somebody give me a hint to how install mansr SOX for PiCorePlayer 4.0.0 on a Pi 3 Model B? I tried some steps but I'm afraid to mess up again my setup.
I have a TEAC UD-501, so I want to give a try to the C-3PO transcoder plugin.

Thanks!

slartibartfast
2018-09-05, 00:03
Hello,
Can somebody give me a hint to how install mansr SOX for PiCorePlayer 4.0.0 on a Pi 3 Model B? I tried some steps but I'm afraid to mess up again my setup.
I have a TEAC UD-501, so I want to give a try to the C-3PO transcoder plugin.

Thanks!

Have you tried the plugin? SOX is included with LMS.

Sent from my SM-G900F using Tapatalk

Funkwarrior
2018-09-05, 00:52
Yes,
The C-3PO plugin checks the sox plugin and on the status I have:
The SOX version in use does not handle DSD formats. See instructions here:www.audiodigitale.eu.

And the DFF and DSF are greyed.

And the SOX version is 140402 NOT dsd capable.

slartibartfast
2018-09-05, 01:19
Yes,
The C-3PO plugin checks the sox plugin and on the status I have:
The SOX version in use does not handle DSD formats. See instructions here:www.audiodigitale.eu.

And the DFF and DSF are greyed.

And the SOX version is 140402 NOT dsd capable.OK. I started a thread asking if this could be added to LMS.

Sent from my SM-G900F using Tapatalk

Funkwarrior
2018-09-05, 03:51
Thanks!
But where?? And why? This is not possible to compile with TinyCore on my Raspy?

slartibartfast
2018-09-05, 04:04
Thanks!
But where?? And why? This is not possible to compile with TinyCore on my Raspy?Probably better to ask on the picoreplayer thread. If the modified Sox was standard you wouldn't need to.

Sent from my SM-G900F using Tapatalk

Funkwarrior
2018-09-05, 04:08
Understood, Thanks!
Can you post me the link of the thread?

slartibartfast
2018-09-05, 04:24
Understood, Thanks!
Can you post me the link of the thread?This one.
https://r.tapatalk.com/shareLink?url=https%3A%2F%2Fforums%2Eslimdevices%2 Ecom%2Fshowthread%2Ephp%3Ft%3D109404&share_tid=109404&share_fid=813&share_type=t

Sent from my SM-G900F using Tapatalk

Funkwarrior
2018-09-05, 04:33
Posted here:
https://forums.slimdevices.com/showthread.php?109404-ANNOUNCE-piCorePlayer-4-0-0&p=919950&viewfull=1#post919950

Thanks!

Thread may be closed I think

paul-
2018-09-06, 19:41
I don;t have hardware to test, but the sox has been updated. Go to the LMS tab in pCP, and push the "Update Libs" button.

Must be running 4.0.0 for this to work.

slartibartfast
2018-09-06, 23:12
I don;t have hardware to test, but the sox has been updated. Go to the LMS tab in pCP, and push the "Update Libs" button.

Must be running 4.0.0 for this to work.Does the updated SOX include DSD capability? I got the impression that the released version did not and to get it you needed to build from the source files.

Sent from my SM-G900F using Tapatalk

Funkwarrior
2018-09-07, 01:02
I don;t have hardware to test, but the sox has been updated. Go to the LMS tab in pCP, and push the "Update Libs" button.

Must be running 4.0.0 for this to work.

Thanks! C-3PO recognize the new libraries now! In the next days I will test!

Thank you again!

ralphy
2018-09-07, 04:20
Does the updated SOX include DSD capability? I got the impression that the released version did not and to get it you needed to build from the source files.

Sent from my SM-G900F using Tapatalk

Yes, the newer sox binary includes DSD support.

slartibartfast
2018-09-07, 05:05
Yes, the newer sox binary includes DSD support.Now I'm confused. This post seems to say the opposite.
https://forums.slimdevices.com/showthread.php?p=920020

Sent from my SM-G900F using Tapatalk

ralphy
2018-09-07, 05:28
Now I'm confused. This post seems to say the opposite.
https://forums.slimdevices.com/showthread.php?p=920020

Sent from my SM-G900F using Tapatalk

The newer sox binaries in the sourceforge link I provided INCLUDE DSD.

The sox binaries updated to 14.4.2 in LMS on Sept 3rd do NOT include DSD support as we used the latest release source tar file from mansr git hub which does not have DSD.

You can determine if your sox build supports DSD two ways.

1. Version string.

$ ./sox --version

SoX v14.4.2 - no DSD
SoX v14.4.3 - DSD

2. Audio file formats include dff and dsf then your version has DSD support.

$ ./sox | grep dsf

AUDIO FILE FORMATS: 8svx aif aifc aiff aiffc al amb au avr cdda cdr cvs cvsd cvu dat dff dsf dvms f32 f4 f64 f8 flac fssd gsm gsrt hcom htk ima ircam la lpc lpc10 lu maud mp2 mp3 nist ogg prc raw s1 s16 s2 s24 s3 s32 s4 s8 sb sf sl sln smp snd sndr sndt sou sox sph sw txw u1 u16 u2 u24 u3 u32 u4 u8 ub ul uw vms voc vorbis vox wav wavpcm wsd wv wve xa

ralphy
2018-09-16, 05:08
The newer sox binaries in the sourceforge link I provided INCLUDE DSD.

The sox binaries updated to 14.4.2 in LMS on Sept 3rd do NOT include DSD support as we used the latest release source tar file from mansr git hub which does not have DSD.

You can determine if your sox build supports DSD two ways.

1. Version string.

$ ./sox --version

SoX v14.4.2 - no DSD
SoX v14.4.3 - DSD

2. Audio file formats include dff and dsf then your version has DSD support.

$ ./sox | grep dsf

AUDIO FILE FORMATS: 8svx aif aifc aiff aiffc al amb au avr cdda cdr cvs cvsd cvu dat dff dsf dvms f32 f4 f64 f8 flac fssd gsm gsrt hcom htk ima ircam la lpc lpc10 lu maud mp2 mp3 nist ogg prc raw s1 s16 s2 s24 s3 s32 s4 s8 sb sf sl sln smp snd sndr sndt sou sox sph sw txw u1 u16 u2 u24 u3 u32 u4 u8 ub ul uw vms voc vorbis vox wav wavpcm wsd wv wve xa

Sox DSD support is now available in LMS 7.9.2 builds after September 11, 2018